Returns all groups assigned to the Store
Permissions: All users.
Path Parameters
- Type: integerFormat: int32idrequired
ID to retrieve groups for.
Query Parameters
- Type: stringFields
This parameter is used to specify a comma delimited list of fields to return for an object. A field group can also be specified in the following format: 'fieldGroupName'. All fields for the object can be returned by specifying 'All'
'Default' group is always shown, even if Fields parameter is not specified. 'Lookup' group will be shown if a model is a child of the required one.
- Type: stringapi
-version
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Responses
Request Example for get/Stores/{id}/StoreGroups
curl /Stores/1/StoreGroups \
--header 'DCKey: YOUR_SECRET_TOKEN'
{
"Data": [
{
"Group": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"ParentGroup": null,
"Description": null,
"GroupTypes": [
{
"ID": null,
"Description": null
}
],
"Hidden": false,
"GroupCode": null,
"ChildGroups": [
{}
]
},
"Comment": null
}
]
}